Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.jndi
Class PortalNamingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.naming.NamingException
                  org.jasig.portal.jndi.PortalNamingException

All Implemented Interfaces:
  java.io.Serializable

    public class PortalNamingException

extends javax.naming.NamingException

PortalNamingException

Version:
  $Revision: 1.4 $ $Date: 2004/10/30 20:15:41 $
Author:
  Bernie Durfee, bdurfee@interactivebusiness.com
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.naming.NamingException
`remainingName, resolvedName, resolvedObj, rootException`

Constructor Summary
`PortalNamingException(java.lang.String explanation)` Instantiate a PortalNamingException with the given explanation of the problem.
`PortalNamingException(java.lang.String message, java.lang.Throwable cause)` Instantiate a PortalNameingException with the given explanation and cause.

Method Summary

Methods inherited from class javax.naming.NamingException
`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalNamingException

    public PortalNamingException(java.lang.String explanation)

  Instantiate a PortalNamingException with the given explanation of the problem.

  Parameters:
    `explanation` - explanation of the problem

### PortalNamingException

    public PortalNamingException(java.lang.String message,
                                 java.lang.Throwable cause)

  Instantiate a PortalNameingException with the given explanation and cause.

  Parameters:
    `message` - message describing problem
    `cause` - underlying cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD